import { PrismaClient } from '@prisma/client';
import {
  MinioService,
  TokenService,
  MemcService,
  TokenPayload,
} from './services';
import { FastifyReply, FastifyRequest } from 'fastify';

declare module 'mercurius' {
  interface MercuriusContext {
    prisma: PrismaClient;
    jwt: TokenPayload;
    minio: MinioService;
    token: TokenService;
    memc: MemcService;
    req: FastifyRequest;
    reply: FastifyReply;
  }
}
