import { type JSX } from 'solid-js/jsx-runtime';

export function Card({
  className,
  title,
  children,
  href,
}: {
  className?: string;
  title: string;
  children: JSX.Element;
  href: string;
}): JSX.Element {
  return (
    <a
      class={className}
      href={`${href}?utm_source=create-turbo&utm_medium=basic&utm_campaign=create-turbo"`}
      rel='noopener noreferrer'
      target='_blank'
    >
      <h2>
        {title} <span>-&gt;</span>
      </h2>
      <p>{children}</p>
    </a>
  );
}
